import { App } from 'vue'
import ShButton from './button'
import ShAdvancedInput from './advanced-input'
import ShInput from './input'
import { Table as ShTable, TableColumn as ShTableColumn } from './table'
import ShIcon from './icon'
import ShRadio from './radio'
import ShSwitch from './switch'
import ShMessage from './message'
import ShOverlay from './overlay'
import ShDialog from './dialog'
import ShMessageBox from './message-box'
import ShTooltip from './tooltip'
import ShBadge from './badge'
import {
	Tabs as ShTabs,
	TabPane as ShTabPane
} from './tabs'

const components = [
	ShButton,
	ShAdvancedInput,
	ShTable,
	ShTableColumn,
	ShIcon,
	ShInput,
	ShRadio,
	ShSwitch,
	ShOverlay,
	ShDialog,
	ShTooltip,
	ShBadge,
	ShTabs,
	ShTabPane,
]

const install = (app: App, option: object): void => {
	components.map((component) => app.component(component.name, component))
}

export default { install }

export {
	ShMessage,
	ShButton,
	ShAdvancedInput,
	ShTable,
	ShTableColumn,
	ShIcon,
	ShInput,
	ShRadio,
	ShSwitch,
	ShOverlay,
	ShDialog,
	ShMessageBox,
	ShTooltip,
	ShBadge,
	ShTabs,
	ShTabPane,
}